--- title: "registerOnline (Service)" slug: "dpgw-ig-registeronline-service-5-12" updated: 2026-01-14T12:09:39Z published: 2026-01-14T17:11:00Z canonical: "docs.onespan.com/dpgw-ig-registeronline-service-5-12" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # registerOnline (Service) > This command is deprecated! Use [DSAPPRegister (service)](/sec/docs/dpgw-ig-dsappregister-service-5-12) instead! > API version: 1 > > Availability: DIGIPASS Gateway 4.1 and later > > Authentication: None. The registerOnline service performs a provisioning registration operation using Digipass Software Advanced Provisioning Protocol (DSAPP) Version 2. ## URL https://dpgateway_host:dpgateway_port/registerOnline ## Request Parameters to the service are passed via the URI query component. | registerOnline parameters | | --- | | Parameter name | Data type | Description | | StaticPassword | String | Required. The static password of the user. | | UserID | String | Required. The user name and domain (RFC5322), i.e. username@domain. | ### Example POST https://192.0.2.1:11080/registerOnline?UserID=jane.doe@mydomain.com&StaticPassword=myPassword ## Response The service returns an XML response message containing the result. ### Example (Success) ```xml ``` ### Example (Failure) ```xml ```